<?php

/**
 * @var $product_id integer
 * @var $cats array
 */
$category_setting = get_post_meta($product_id, 'ubp_category_addon_display_category_filter_setting', true);

$addons = get_post_meta($product_id, 'ubp_products_addons_values', true);
$addons = json_decode($addons);

if ($addons === null) {
    $addons = [];
}

$columns = get_post_meta($product_id, 'ubp_products_columns', true);
$qty = get_post_meta($product_id, 'ubp_show_item_qty', true);
$show_prod = get_option('ubp_mix_match_box_max_posts_per_page');
$show_prod = empty($show_prod) ? count($addons) : absint($show_prod);
$product_hide_out_of_stock = get_post_meta($product_id, 'ubp_hide_out_of_stock_products', true);
$qty_selector = '';
if ($qty !== 'yes') {
    $qty_selector = 'style="display:none;opacity:0;"';
}

$all_prod = array();

$cat_prod_ids = array();
$dbcats = get_post_meta($product_id, 'ubp_products_categories', true);
// $cats = empty($cats) ? $dbcats : $cats;
// if (!empty($cats)) {
    $args = array(
        'post_type' => array('product'),
        'posts_per_page' => -1,
        'fields' => 'ids',
        'tax_query' => array(
            array(
                'taxonomy' => 'product_cat',
                'field' => 'term_id',
                'terms' => empty($cats) ? $dbcats : $cats,
            )
        )
    );

    $cat_prod_ids = get_posts($args);
    sort($cat_prod_ids, SORT_NUMERIC);
    if ($category_setting === 'only_products' || $category_setting === 'both') {
        if (!empty($cats) && ! in_array($cats, $dbcats) ){
            $addon_ids = [];
            foreach ($addons as $addon) {
                $addon_ids[] = $addon->id;
            }

            $cat_prod_ids = array_intersect($addon_ids, $cat_prod_ids);
        }
    }

    // resetting addons
    // $addons = [];

    if (!empty($cat_prod_ids)) {
        $args = array(
            'post_type' => array('product_variation'),
            'posts_per_page' => -1,
            'fields' => 'ids',
            'post_parent__in' => $cat_prod_ids
        );
        $variation_ids = get_posts($args);
        $all_prod = array_merge($variation_ids, $cat_prod_ids);
    }
// }
if(empty($cats))
{
    $addons = wp_list_pluck((array)$addons, 'id');
    $all_prod = array_merge($addons, $all_prod);
}
$all_prod = array_unique($all_prod, SORT_NUMERIC);
$all_prod = apply_filters('ubp_box_product_addon_filter_variations', $all_prod);
$all_prod = apply_filters('ubp_box_product_addon_disable_variable_products', $all_prod, $product_id);
sort($all_prod, SORT_NUMERIC);
$arg = array(
    'post_type' => array('product', 'product_variation'),
    'post__in' => $all_prod,
    'orderby' => 'post__in',
    'posts_per_page' => $show_prod,
    'paged' => 1,
    'tax_query' => array(
        'relation' => 'OR',
        array(
            'taxonomy' => 'product_type',
            'field' => 'slug',
            'terms' => array('simple', 'product_variation'),
            'operator' => 'IN',
        ),
        array(
            'taxonomy' => 'product_type',
            'operator' => 'NOT EXISTS',
        )
    )
);

if ($product_hide_out_of_stock == 'yes') {
    $arg['meta_query'] = array(
        array(
            'key' => '_stock_status',
            'value' => 'instock',
            'compare' => '=',
        )
    );
}

$arg = apply_filters('ubp_loop_frontend_query_args', $arg);
$products = new WP_Query($arg);
$html = '';
if (!empty($products)) {
    $html .= '';
    while ($products->have_posts()) {
        $products->the_post();
        $temp = $itemHtml = '';
        $_product = wc_get_product(get_the_ID());
        if (!$_product->is_type('variable')) {
            $data = array();
            $data['id'] = $_product->get_id();
            $data['price'] = $_product->get_price();
            $data['purchaseable'] = ($_product->is_in_stock() && $_product->is_purchasable()) ? 1 : 0;
            $data['max'] = $_product->get_max_purchase_quantity();
            $disable = ($data['purchaseable'] == 1) ? '' : 'class="ubp-disabled"';
            $itemHtml .= '<li data-product_id="' . esc_attr($_product->get_id()) . '" ' . ($disable) . '>';
            $itemHtml .= '<figure>';
            if (!empty($disable))
                $itemHtml .= '<span class="outofstock_prod_box">' . apply_filters("wc_ubp_box_product_outofstock_label", esc_html__("Out of stock", "wc-ubp")) . '</span>';
            else
                $itemHtml .= '<span class="add_prod_box"></span>';
            if (has_post_thumbnail($_product->get_id())) {
                $itemHtml .= wp_get_attachment_image(get_post_thumbnail_id($_product->get_id()), 'woocommerce_thumbnail');
            } else {
                $itemHtml .= '<img src="' . WOO_UBP_URL . '/assets/images/placeholder.png" alt="product-image">';
            }
            $itemHtml .= '<div class="qty" ' . $qty_selector . '><input type="button" value="-" class="qtyminus" field="qty_' . esc_attr($_product->get_id()) . '" />
								<input type="text" name="qty_' . esc_attr($_product->get_id()) . '" value="1" >
								<input type="button" value="+" class="qtyplus" field="qty_' . esc_attr($_product->get_id()) . '" /></div>';
            $itemHtml .= '<figcaption><a href="' . esc_url(get_the_permalink($_product->get_id())) . '"  target="_blank">' . esc_html($_product->get_name()) . '</a>';
            if (get_post_meta($product_id, 'ubp_show_item_pricing', true) == 'yes') {
                $itemHtml .= '<span class="box_product_item_price">' . $_product->get_price_html() . '</span>';
            }
            $itemHtml .= '</figcaption>';
            $itemHtml .= '</figure>';
            $itemHtml .= '<input type="hidden" value="' . wc_esc_json(wp_json_encode($data)) . '">';
            $itemHtml .= '</li>';
        }
        $html .= apply_filters('ubp_box_product_single_item_content', $itemHtml, $_product, wc_get_product($product_id));
    }
    $html .= '';
    if ($products->max_num_pages > 1) {
        $response['page'] = true;
        $html .= '<div class="wc-ubp-footer"><div class="ubp-loader-ripple ubp-loader-ripple-loader" style="display: none;"><div></div><div></div></div><button class="button" type="button" id="ubp_load_more_items" data-paged="2">' . esc_html__("Load More", "wc-ubp") . '</button></div>';
    }
    else{
        $response['page'] = false;
    }
} else {
    $html .= esc_html__('Please add product addons for this box.', 'wc-ubp');
}
$html .= '';
$response['html'] = $html;
wp_send_json_success($response);
echo $html;

wp_reset_query();